org.apache.fop.area

## Class SideFloat

- java.lang.Object
- - org.apache.fop.area.AreaTreeObject
  - - org.apache.fop.area.Area
    - - org.apache.fop.area.BlockParent
      - - org.apache.fop.area.Block
        - - org.apache.fop.area.SideFloat

All Implemented Interfaces:
  Serializable, Cloneable

    public class SideFloat
    extends Block

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.fop.area.Block

`ABSOLUTE, allowBPDUpdate, FIXED, RELATIVE, STACK`

### Fields inherited from class org.apache.fop.area.BlockParent

`children, xOffset, yOffset`

### Fields inherited from class org.apache.fop.area.Area

`bidiLevel, bpd, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, effectiveIPD, ipd, log, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, traits`

### Fields inherited from class org.apache.fop.area.AreaTreeObject

`extensionAttachments, foreignAttributes`

### Constructor Summary

Constructors
Constructor and Description
`SideFloat()`

### Method Summary

### Methods inherited from class org.apache.fop.area.Block

`activateEffectiveIPD, addBlock, addBlock, addLineArea, getEffectiveIPD, getEndIndent, getLocale, getLocation, getPositioning, getStartIndent, isStacked, setLocale, setLocation, setPositioning`

### Methods inherited from class org.apache.fop.area.BlockParent

`addChildArea, getChildAreas, getXOffset, getYOffset, isEmpty, setXOffset, setYOffset`

### Methods inherited from class org.apache.fop.area.Area

`addTrait, clone, getAllocBPD, getAllocIPD, getAreaClass, getBidiLevel, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getChangeBarList, getEffectiveAllocIPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, resetBidiLevel, setAreaClass, setBidiLevel, setBPD, setChangeBarList, setIPD, setTraits, setWritingModeTraits, toString`

### Methods inherited from class org.apache.fop.area.AreaTreeObject

`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SideFloat

    public SideFloat()